Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.sliderpanel
Class BorderPaintContext

    java.lang.Object
      |
      +--com.smardec.asc.sliderpanel.BorderPaintContext

All Implemented Interfaces:
  java.awt.PaintContext

public class BorderPaintContext
extends java.lang.Object
implements java.awt.PaintContext

Constructor Summary
`BorderPaintContext(java.awt.image.ColorModel colorModel, java.awt.Rectangle rectangle, java.awt.Color bgColor, java.awt.Color mainColor, java.awt.Color shadowColor, int offsetPercentage, boolean vertical)`

Method Summary
`void` | `dispose()`
`java.awt.image.ColorModel` | `getColorModel()`
`java.awt.image.Raster` | `getRaster(int x, int y, int w, int h)`
`boolean` | `isVertical()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderPaintContext

    public BorderPaintContext(java.awt.image.ColorModel colorModel,
                              java.awt.Rectangle rectangle,
                              java.awt.Color bgColor,
                              java.awt.Color mainColor,
                              java.awt.Color shadowColor,
                              int offsetPercentage,
                              boolean vertical)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `java.awt.PaintContext`

### getColorModel

    public java.awt.image.ColorModel getColorModel()

  Specified by:
    `getColorModel` in interface `java.awt.PaintContext`

### isVertical

    public boolean isVertical()

### getRaster

    public java.awt.image.Raster getRaster(int x,
                                           int y,
                                           int w,
                                           int h)

  Specified by:
    `getRaster` in interface `java.awt.PaintContext`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.